<?php
/* $Id: cc_via_migs.php,v 1.2 2006/01/22 22:08:49 cmanderson Exp $
 * ====================================================================
 * License:	GNU Lesser General Public License (LGPL)
 *
 * Copyright (c) 2005, 2006 Cameron Manderson (cameron@mink.net.au). 
 * All rights reserved.
 *
 * This file is part of the WEBPAY Payment Module intended for use in 
 * osCommerce.
 * 
 * osCommerce, Open Source E-Commerce Solutions
 * http://www.oscommerce.com - Copyright (c) 2003 osCommerce
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Credit Card Payments through the Webteh Payment Gateway (WebPay) 
 * 
 * Used in the osCommerce package developed by Open Source E-Commerce Solutions
 * http://www.oscommerce.com Copyright (c) 2003 osCommerce
 * 
 * @author Damir Roso damir.roso@webteh.hr
 * @copyright Copyright &copy; 2007, Webteh d.o.o.
 */

/* Define the Constant Variables that will be used in the Payment Module */
// Locale
define('MODULE_PAYMENT_WEBPAY_LOCALE', 'hr_HR');

define('MODULE_PAYMENT_WEBPAY_TEXT_EMAIL_FOOTER', 'Platili ste Vašu narudžbu online putem WebPay servisa');
define('MODULE_PAYMENT_WEBPAY_TEXT_TITLE', 'Kreditnom karticom (online putem WebPay servisa)');
define('MODULE_PAYMENT_WEBPAY_TEXT_DESCRIPTION', 'Za plaćanje kreditnom karticom biti ćete preusmjereni na WebPay - sigurni servis za online plaćanje kreditnim karticama. Molimo Vas pripremite kreditnu karticu. Zahvaljujemo se na ukazanom povjerenju.<br /><br /><strong><small>VAŽNO: Nakon što pritisnete gumb na ovoj stranici biti ćete preusmjereni na sigurne stranice WebPay servisa zaštićene SSL enkripcijom, prihvatite sve obavijesti i ne zatvarajte Vaš web preglednik. U slučaju problema s Vašom kreditnom karticom molimo Vas kontaktirajte izdavatelja Vaše kreditne kartice.</small></strong>');

// Credit Card Form Fields
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_OWNER', 'Korisnik kreditne kartice:');
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_NUMBER', 'Broj kreditne kartice:');
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_EXPIRES', 'Datum valjanosti kartice:');
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_CARD_SECURITY_CODE', 'Sigurnosni kod kartice (CSC/CVV):');
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_CARD_SECURITY_CODE_LOCATION', 'Sigurnosni kod kartice (CSC/CVV) je 3 ili 4 znamenkasti broj ispisan na poleđini kartice. Na American Express kartica se nalazi na prednjoj strani iznad broja karticeYour.');

// Validation
define('MODULE_PAYMENT_WEBPAY_TEXT_JS_CC_OWNER', '* Ime korisnika kartice mora biti najmanje '.CC_OWNER_MIN_LENGTH.' znaka.\n');
define('MODULE_PAYMENT_WEBPAY_TEXT_JS_CC_NUMBER', '* Broj kreditne kartice mora sadržavati najmanje '.CC_NUMBER_MIN_LENGTH.' znaka.\n');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_MESSAGE', 'Dogodila se pogreška prilikom transakcije. Molimo pokušajte ponoviti.');
define('MODULE_PAYMENT_WEBPAY_TEXT_CREDIT_CARD_CVV', 'Provjerite CVV/CVC');

// Error Handling
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR', 'Dogodila se greška!');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_DESCRIPTION', 'Molimo provjerite ispravnost unesenih podataka i ponovno pokušajte. Ako se problem učestalo ponavlja molimo Vas da nas kontaktirate.');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_EMAIL_INTRO', 'Dogodila se pogreška prilikom obrade odgovora WebPay servisa');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_EMAIL_INTRO_DETAILS', 'Slijede podaci o pogrešci');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_DESCRIPTION_SECURE_HASH_NOT_PRESENT', 'Secure Hash nije sadržan u odgovoru WebPay servisa');
define('MODULE_PAYMENT_WEBPAY_TEXT_ERROR_DESCRIPTION_SECURE_HASH_NOT_VALID', 'Secure Hash nije moguće uskladiti s tajnim ključem, moguć je vanjski utjecaj u procesu razmjene podataka');
?>